PACEMAKER(8)

NAME
Pacemaker - Part of the Pacemaker cluster resource manager

SYNOPSIS
crmadmin [options] [node]

DESCRIPTION
query and manage the Pacemaker controller

OPTIONS

  Help Options:

-h, --help
    Show help options

--help-all
    Show all help options

--help-command
    Show command options

--help-additional
    Show additional options

  Commands:

-S, --status
    Display the status of the specified node. Result is state of node's internal finite state machine, which can be useful for debugging

-P, --pacemakerd
    Display the status of local pacemakerd. Result is the state of the sub-daemons watched by pacemakerd.

-D, --dc_lookup
    Display the uname of the node co-ordinating the cluster. This is an internal detail rarely useful to administrators except when deciding on which node to examine the logs.

-N, --nodes
    Display the uname of all member nodes

  Additional Options:

-t, --timeout
    Time (in milliseconds) to wait before declaring the operation failed

-B, --bash-export
    Display nodes as shell commands of the form 'export uname=uuid' (valid with -N/--nodes)

-i, --ipc-name
    Name to use for ipc instead of 'crmadmin' (with -P/--pacemakerd).

  Application Options:

-$, --version
    Display software version and exit

-V, --verbose
    Increase debug output (may be specified multiple times)

-q, --quiet
    Display only the essential query information

AUTHOR
Written by Andrew Beekhof

REPORTING BUGS
Report bugs to users@clusterlabs.org